import { Instruction } from "@orca-so/common-sdk";
import { PublicKey } from "@solana/web3.js";
import { Program } from "@project-serum/anchor";
import { KycProgram } from "../artifacts/kyc-program";
import { KycProgramV1 } from "../artifacts/kyc-program-v1";
export type SubmitKycParams = {
    accounts: {
        authority: PublicKey;
        providerConfigAccount: PublicKey;
        userConfigAccount: PublicKey;
        userKycAccount: PublicKey;
    };
    inputs: {
        user: PublicKey;
        salt: string;
        kycLevel: number;
        name: number[];
        documentId: number[];
        country: string;
        phone: number[];
        dob: number[];
        doe: number[];
        gender: number[];
        isExpired: boolean;
    };
};
export declare function submitKyc(program: Program<KycProgram>, program_v1: Program<KycProgramV1>, params: SubmitKycParams): Promise<Instruction>;
