import { Instruction } from "@orca-so/common-sdk";
import { PublicKey } from "@solana/web3.js";
import { Program } from "@project-serum/anchor";
import { KycProgram } from "../artifacts/kyc-program";
import { KycProgramV1 } from "../artifacts/kyc-program-v1";
export type UpdateKycParams = {
    accounts: {
        authority: PublicKey;
        providerConfigAccount: PublicKey;
        userConfigAccount: PublicKey;
        oldUserKycAccount: PublicKey;
        newUserKycAccount: PublicKey;
    };
    inputs: {
        kycLevel: number;
        name: number[];
        documentId: number[];
        country: string;
        phone: number[];
        dob: number[];
        doe: number[];
        gender: number[];
        isExpired: boolean;
    };
};
export declare function updateKyc(program: Program<KycProgram>, program_v1: Program<KycProgramV1>, params: UpdateKycParams): Promise<Instruction>;
